gUpdateMessage-class {MVCClass} | R Documentation

## Class "gUpdateMessage": A class to represent an update message

### Description

gUpdateMessage is a virtual class to represent an update message. Both gUpdateViewMessage and gUpdateDataMessage classes are inherited from gUpdateMessage.

### Objects from the Class

A virtual Class: No objects may be created from it.

### Slots

`type`:
  the type of update to be performed, will be a character string
`mData`:
  a list of information needed to perform the update
`dataName`:
  the name of the data set to be updated

### Extends

Class `"gModifyMessage"`, directly. Class `"gMessage"`, by class `"gModifyMessage"`.

### Methods

No methods defined with class "gUpdateMessage" in the signature.

### Author(s)

Elizabeth Whalen

### See Also

`gMessage-class`, `gModifyMessage-class`, `gUpdateViewMessage-class`, `gUpdateDataMessage-class`

[Package MVCClass version 1.18.0 Index]